Package io.milvus.param.bulkinsert

## Class ListBulkInsertTasksParam.Builder

- java.lang.Object
- - io.milvus.param.bulkinsert.ListBulkInsertTasksParam.Builder

- Enclosing class:
    ListBulkInsertTasksParam

      public static final class ListBulkInsertTasksParam.Builder
      extends java.lang.Object

  Builder for `ListBulkInsertTasksParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ListBulkInsertTasksParam` | `build()` | Verifies parameters and creates a new `ListBulkInsertTasksParam` instance.
    `ListBulkInsertTasksParam.Builder` | `withCollectionName​(@NonNull java.lang.String collectionName)` | Sets the target collection name, list all tasks if the name is empty.
    `ListBulkInsertTasksParam.Builder` | `withLimit​(@NonNull java.lang.Integer limit)` | Specify limit count of returned tasks, list all tasks if the value is 0.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withCollectionName

          public ListBulkInsertTasksParam.Builder withCollectionName​(@NonNull
                                                                     @NonNull java.lang.String collectionName)

      Sets the target collection name, list all tasks if the name is empty. Default value is an empty string.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withLimit

          public ListBulkInsertTasksParam.Builder withLimit​(@NonNull
                                                            @NonNull java.lang.Integer limit)

      Specify limit count of returned tasks, list all tasks if the value is 0. Default value is 0
      Parameters:
        `limit` - limit number
      Returns:
        `Builder`

    - #### build

          public ListBulkInsertTasksParam build()
                                         throws ParamException

      Verifies parameters and creates a new `ListBulkInsertTasksParam` instance.
      Returns:
        `ListBulkInsertTasksParam`
      Throws:
        `ParamException`